package com.printLabelClient;

import javax.xml.ws.BindingProvider;

import com.odfl.ws.printLabel.LabelSize;
import com.odfl.ws.printLabel.PrintLabelRequest;
import com.odfl.ws.printLabel.PrintLabelResponse;
import com.odfl.ws.printLabel.PrintLabelService;
import com.odfl.ws.printLabel.PrintLabelWS;



public class WSClient {

	// https://wwwd.corp.odfl.com/wsPrintLabel/printService
	public static final String URL = "https://www.odfl.com/wsPrintLabel/printService";

	//
	public static void main(String[] args) {

		PrintLabelService service = new PrintLabelService();

		PrintLabelWS endpoint = service.getPrintLabelWSPort();

		BindingProvider provider = (BindingProvider) endpoint;
		// provider.getRequestContext();
		// provider.getRequestContext().put(BindingProvider.USERNAME_PROPERTY,
		// "username");
		// provider.getRequestContext().put(BindingProvider.PASSWORD_PROPERTY,
		// "password");

		provider.getRequestContext().put(
				BindingProvider.ENDPOINT_ADDRESS_PROPERTY, URL);

		PrintLabelRequest request = new PrintLabelRequest();

		request.setProNumber("80991026776");
		request.setLabelCount("2");

		LabelSize size = new LabelSize();
		size.setHeight("6");
		size.setWidth("4");
		request.setLabelSize(size);

		PrintLabelResponse response = endpoint.getPDFPrintLabel(request);
		response.getMessage();
	}

}
